Bug 247402 - Review Request: GspiceUI - A GUI to freely available Spice Electronic circuit similators
Review Request: GspiceUI - A GUI to freely available Spice Electronic circuit...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On: 256481
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-08 23:42 EDT by Xavier Lamien
Modified: 2010-07-19 00:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 05:47:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-07-08 23:42:28 EDT
Spec URL: http://download.tuxfamily.org/lxtnow/extras/gspiceui
SRPM URL: http://download.tuxfamily.org/lxtnow/extras/gspiceui

Description: 

GNU Spice GUI is intended to provide a GUI to freely available
Spice electronic cicuit simulators eg.GnuCAP, Ng-Spice.
It uses gNetList to convert schematic files to net list files
and gWave to display simulation results.
gSchem is used as the schematic generation/viewing tool.
Comment 1 Ralf Corsepius 2007-07-09 02:30:07 EDT
MUSTFIX:
* Package doesn't honor RPM_OPT_FLAGS:
# rpmbuild ...
...
g++ -c -ggdb -pipe -I/usr/lib/wx/include/gtk2-unicode-release-2.8
-I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread
-I/usr/include -I/usr/X11R6/include -I. AppGSpiceUI.cpp -o obj/AppGSpiceUI.o
...


Also, next time, please provide URLs to the *.src.rpm.
It's very inconvenient for reviewers not being able to see the
%{version}-%{release}'s of a package under review.

Comment 2 Xavier Lamien 2007-07-09 08:16:48 EDT
If you look my my spec file you will see that i comment it for now.
cause some option from RPM_OPT_FLAGS doesn't really work well.
I'll upload the build log which honor RPM_OPT_FLAGS


Comment 3 Ralf Corsepius 2007-07-09 10:29:17 EDT
(In reply to comment #2)
> If you look my my spec file you will see that i comment it for now.
> cause some option from RPM_OPT_FLAGS doesn't really work well.
What does "doesn't work well" mean in this context?

> I'll upload the build log which honor RPM_OPT_FLAGS
I regret having to say this, but make this package build using RPM_OPT_FLAGS, or
it won't have a future in Fedora.


Comment 4 Xavier Lamien 2007-07-09 16:18:00 EDT
well,

i uncommented the fix which make it honor RPM_OPT_FLAGS.
all files updated and are available from the link below

http://download.tuxfamily.org/lxtnow/extras/gspiceui

* Tue Jul 04 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.8.90-2
- Enabled the fix that make it honor RPM_OPT_FLAGS.
Comment 5 Mamoru TASAKA 2007-07-10 12:38:15 EDT
Xavier, first would you give me some example so that I can
check if the package works as expected?

(I guess that Chitlesh know much and much more than me
 about gEDA related things. He maintains most of gEDA related
 packages on Fedora)

> GNU Spice GUI is intended to provide a GUI to freely available
> Spice electronic cicuit simulators eg.GnuCAP, Ng-Spice.
> It uses gNetList to convert schematic files to net list files
> and gWave to display simulation results.
> gSchem is used as the schematic generation/viewing tool.

Is this mean that it is preferable that
this package has:
"Requires: Ngspice, geda-gschem, geda-gnetlist"? 

(while I cannot find gwave on Fedora, Ngspice, geda-gschem, 
geda-gnetlist is maintained by Chitlesh)
Comment 6 Mamoru TASAKA 2007-07-10 13:23:14 EDT
Well, as Ralf says, please copy the full URL of your spec/srpm
on this bug report so that everyone can check them easily.

For packaging issue of 0.8.90-2:

* Optflags
  - From src/Makefile, just
---------------------------------------------------
make CC="%{__cxx} %{optflags}" %{_smp_mflags}
---------------------------------------------------
    may work?

* Desktop file
  - Please explain why you want to set vendor of
    desktop file as null.
  - Icon entry has typo.
  - Should the category of this desktop file be
    "Utility"? IMO category should contain
    "Education;Science;Engineering;" and "Utility" is
     not needed.

* Documents
  - I don't think Makefile should be included as %doc.
  - and html/ should be a subdirectory of the top
    documentation directory.
  - Related to this, Help->Manual complains:
--------------------------------------------------------------
The base manual page "gSpiceUI.html" couldn't be found
in either of the following locations:

/usr/share/gspice/html/
/usr/html/
--------------------------------------------------------------
Comment 7 Xavier Lamien 2007-07-10 14:26:14 EDT
> Is this mean that it is preferable that
> this package has:
> "Requires: Ngspice, geda-gschem, geda-gnetlist"? 

To be able to launch they no need to be installed.
but as the description mentioned, for a clean work they should installed.
I already asked Chitlesh a schematic to imrpove this package.


from comment #6
i'll check this out
Comment 8 Chitlesh GOORAH 2007-07-10 18:39:07 EDT
(In reply to comment #5)
> Is this mean that it is preferable that
> this package has:
> "Requires: Ngspice, geda-gschem, geda-gnetlist"? 

yes to geda-gnetlist,
but not geda-gschem

gspiceui gives the user the choice to either use gnucap or ngspice.
gnucap is the default simulator.

> (while I cannot find gwave on Fedora, Ngspice, geda-gschem, 
> geda-gnetlist is maintained by Chitlesh)

This review *should* wait till gwave is approved and is released !
otherwise the plot feature of spice simulation won't work!

OR one way could be replaced gwave with ngspice built in feature to read a raw 
file. However I'm not for for going in this direction, because gwave is a very 
good application to read raw files.
Comment 9 Chitlesh GOORAH 2007-07-10 19:41:04 EDT
(In reply to comment #5)
> (I guess that Chitlesh know much and much more than me
>  about gEDA related things. He maintains most of gEDA related
>  packages on Fedora)

I wrote a simple scenario, a RC circuit. Below I'll describe how Mr Joe or 
Miss Jane will use this gspiceui.

We will simulate the charging process of a capacitor.
http://photos1.blogger.com/blogger/1480/1470/1600/fedora-xcircuit.png

http://tux.u-strasbg.fr/~chit/gspiceui/cir1.ckt describes the spice netlist of 
the RC circuit with a different voltage source. We will choose our own voltage 
source. 

mkdir gspiceui_test
copy cir1.ckt to this directory gspiceui_test
cp cir1.ckt cir2.ckt

We will work with this cir2.ckt leaving cir1.ckt as a backup.

launch gspiceui
gspiceui&

gspiceui uses either the gnucap or ngspice engine for simulation.

First of all, we will start with ngspice, because I maintain it, after if you 
want you can retry doing the procedures with gnucap.

Options -> ngspice (and wait a few secs, till gspiceui configures itself)

File -> Open -> choose cir2.ckt

now, choose "c" under "component" and choose "Transient"
then, change "stop time" to 1 sec. ONE SECOND.

You should see the following screenshot:
http://tux.u-strasbg.fr/~chit/gspiceui/gspice1.png

then choose "vin" at "Voltage Source". Next to it, is a button 
called "setup ...". Click on it. 
Fill the dialog as shown in this screenshot:
http://tux.u-strasbg.fr/~chit/gspiceui/gspice2.png 
and hit OK

Then:
Simulate -> Create
you should see this screenshot:
http://tux.u-strasbg.fr/~chit/gspiceui/gspice3.png

Then:
Simulate -> Run
you should see this screenshot:
http://tux.u-strasbg.fr/~chit/gspiceui/gspice4.png

Till now, without gwave, the user can't do more. Hence the data you saw on the 
screenshot "gspice4.png", is pretty much useless, unless Mr. Joe or Miss Jane 
knows "LabPlot".

LabPlot is already on fedora repositories. (thanks Mamuro for reviewing that 
package :))
yum install LabPlot

then launch LabPlot.

File -> Import "cir2.ngspice.tr" 
As you can see gspiceui stored the simulated data in the 
file "cir2.ngspice.tr"

see http://tux.u-strasbg.fr/~chit/gspiceui/gspice5.png
And hit OK:

you will see the data properly filled into a spreadsheet.:
http://tux.u-strasbg.fr/~chit/gspiceui/gspice6.png

Now we will plot the simulated data, which gspiceui should have done if we 
have gwave.

on labplot,
Spreadsheet -> Plot -> 2D Plot (XY)

That's it, you should see the charging curve:
http://tux.u-strasbg.fr/~chit/gspiceui/gspice7.png
http://tux.u-strasbg.fr/~chit/gspiceui/out.lpl

you can do the same way with the "gnucap" engine.
copy cir1.ckt to cir3.ckt
and start the hold process again.
I did it I'm satisfied.


In this example, we started the simulation with a netlist (a simple text 
file), but there is another way to do the simulation (from a schematic).

If the schematic is imported into gspiceui. gspiceui converts the schematic 
into a netlist with the help of gnetlist (from geda-gnetlist). Hence the 
package requires geda-gnetlist.

I'm uncertain whether gspiceui should requires:
* gnucap
or
* ngspice
or
* gnucap and ngspice.

I'll vote for both!
Comment 10 Chitlesh GOORAH 2007-07-10 20:16:39 EDT
(In reply to comment #8)
> yes to geda-gnetlist,
> but not geda-gschem

I was wrong. geda-gschem should be among the requires, because of the examples 
in the sources.
Comment 11 Chitlesh GOORAH 2007-07-10 21:12:41 EDT
Updated:
SRPM: http://tux.u-strasbg.fr/~chit/RPMS/gspiceui-0.8.90-3.src.rpm
SPEC: http://tux.u-strasbg.fr/~chit/RPMS/gspiceui.spec

%Changelog
* 0.8.90-3
- cleaned spec file
- added schematics to %%docs
- added spice models to %%{_datadir}/gEDA/sym/local/
- fixed icon on the menus
- filled the missing requires

The schematics (sch/*) are now among the %doc
However, for Mr Joe and Miss Jane to use them, he/she should copy those 
schematics to a writable directory. The "libraries" (i.e spice model, here) 
are hardcoded in the schematics. the user can move the schematics into any 
directory.

I've even move the libraries to the geda-symbol umbrella. Hence all the spice  
models (symbols) are placed in one and only one place, /usr/share/gEDA/sym/
Comment 12 Chitlesh GOORAH 2007-07-10 21:18:57 EDT
(In reply to comment #11)
> The schematics (sch/*) are now among the %doc
> However, for Mr Joe and Miss Jane to use them, he/she should copy those 
> schematics to a writable directory. 

(continues) since gspiceui will try to write its generated netlists in that 
particular directory.
Comment 13 Mamoru TASAKA 2007-07-12 08:46:32 EDT
Before comment:
= Help->Manual now work well
= your example on comment 9 also works as you commented.

For 0.8.90-3:
* URL
  - IMO generally http://sourceforge.net/projects/<name> has
    useless information.
    Googling gspiceui hits 
    http://www.geda.seul.org/tools/gspiceui/index.html first and
    IMO this URL is more preferable.

* Requires/icon
  - While icons are installed under %{_datadir}/icons/hicolor/,
    why don't you use these icons for desktop file and
    use gnome-util.png instead and require redhat-artwork?

! OFF TOPIC
  - I noticed that %_datadir/gEDA is owned by both libgeda and
    geda-symbols. Is this okay?
Comment 14 Chitlesh GOORAH 2007-07-13 21:58:37 EDT
(In reply to comment #13)
> For 0.8.90-3:
> * URL
>   - IMO generally http://sourceforge.net/projects/<name> has
>     useless information.
>     Googling gspiceui hits 
>     http://www.geda.seul.org/tools/gspiceui/index.html first and
>     IMO this URL is more preferable.

As you wish.

> * Requires/icon
>   - While icons are installed under %{_datadir}/icons/hicolor/,
>     why don't you use these icons for desktop file and
>     use gnome-util.png instead and require redhat-artwork?

True, you are right about it. I don't remember why I did so.

Xavier in your next release please do take those two into consideration.

> ! OFF TOPIC
>   - I noticed that %_datadir/gEDA is owned by both libgeda and
>     geda-symbols. Is this okay?

[root@goorah ~]# rpm -qf /usr/share/gEDA
libgeda-20070708-1

Tomorrow I'll commit to CVS.
Comment 15 Mamoru TASAKA 2007-07-23 13:37:14 EDT
ping?
Comment 16 Chitlesh GOORAH 2007-07-23 13:55:42 EDT
Actually, Xavier and I are working on packaging the _latest_ gwave .
(gwave2-20070514) I repeat _latest_.

We are having difficulties and still struggling in rpmbuiling that latest 
release since it requires many dependencies.
V buildrequires W
W buildrequires X
X buildrequires Y
Y buildrequires Z

We were able to build the previous release of gwave-20060606 which required 
only guile-gtk and compat-guile-16.
http://chitlesh.fedorapeople.org/RPMS/gwave/gwave.png
But, that gwave-20060606 can't be built on the latest guile-gtk-2. So we opted 
for now, the 1.2 version of guile-gtk which is only available on the debian 
repository.

We are now working to meet the dependencies of the latest gwave.
But I'm not in favour of doing so, since 2 or 3 dependencies are either keep 
on changing names or being split.

In accordance to 2 fedora-geda users (to whom I talked), they would be happy 
to have at least gwave-20060606 for their simulations.

Our work can be found here:
* http://laxathom.fedorapeople.org/RPMS/
* http://chitlesh.fedorapeople.org/RPMS/gwave/ (my specs needs to be polished 
and are met for testing functional use only)

So now, the question is:
are we willing to ship 
 *the latest gwave and at the same time shipping lots of old dependencies ?
or
 *the gwave-2006006 and one dependency ?
Comment 17 Mamoru TASAKA 2007-07-23 14:36:21 EDT
Well, I don't know well about gwave, however is gwave really
not bypassed to proceed the review of this package?
Current gspiceui does not require gwave, so you can just ignore
gwave for now?

For gwave:
(In reply to comment #16)
> So now, the question is:
> are we willing to ship 
>  *the latest gwave and at the same time shipping lots of old dependencies ?
Absolutely, unless the newest gwave has regression issue problems,
for example.
Comment 18 Chitlesh GOORAH 2007-07-24 06:24:24 EDT
(In reply to comment #17)
> Well, I don't know well about gwave, however is gwave really
> not bypassed to proceed the review of this package?

To review the package ? well ok, but not functional for _proper_ use !

> Current gspiceui does not require gwave, so you can just ignore
> gwave for now?

It does require gwave. See its "plot" function depends on gwave.

> For gwave:
> (In reply to comment #16)
> > So now, the question is:
> > are we willing to ship 
> >  *the latest gwave and at the same time shipping lots of old 
dependencies ?
> Absolutely, unless the newest gwave has regression issue problems,
> for example.

Ok, then we will work on that latest gwave.

gspiceui's review isn't a problem at all, and will be approved very quickly. 
But I do care about its functionality (gwave) and have no intention of 
releasing it half ready.

gspiceui is just a GUI upon gwave. We can't release the GUI without the engine 
which does the whole job.
Comment 19 Chitlesh GOORAH 2007-07-24 06:25:33 EDT
There is a new upstream release:

 https://sourceforge.net/projects/gspiceui

The Changelog related to this release is as follows:

 * Added a sinusoid function to the NG-Spice signal source configuration
   dialog.
 * Tidy up of the Makefiles.
 * The title line/s in user generated circuit description files are now
   preserved in the simulation file generated by gSpiceUI. Requested by
   Andres M.
 * Fixed a bugs in the GNU-Cap DC and AC command parsers causing them to
   break when the start and stop sweep values where equal.
 * Adjustments to the size and position of display components.
 * For GNU-Cap the option BASIC has been appended to all analysis lines
   to suppress the use of alpha abbreviations instead of an exponent eg.
   3.1u now becomes 3.1E-6. Requested by Andres M.
 * Introduced an .OPTIONS button on each analysis panel and removed the
   .OPTIONS option in the Options menu.
 * Added tooltips to the NG-Spice source component setup dialog and the
   GNU-Cap generator component dialog.
 * Improvements to src/Makefile.
 * NG-Spice negative node values in .PRINT statements were not processed
   correctly. Eg. PRINT TRAN V(0,1) V(0,2) (2 parameters) is interpreted
   as PRINT TRAN (-V(1)-V(2)) (1 parameter); I've found through
   experiment that PRINT TRAN 0-V(1) 0-V(2) results in the correct
   intepretation. Fixed.
 * Fixed warnings generated by GCC v4.1.1.
 * Added tool tips to the OPTIONS line setup dialogs.
 * gSpiceUI can now be compiled against wxWidgets v2.8.4.
 * Addition of a man page. Minor updates to the documentation.
 * The SpinCtrl control is now right justified.
 * Implement the application preferences dialog.
 * Some modifications to the PnlValue class.
 * The main frame's system close button now works.
 * Automated the creation of dependencies. Added target "deps" to the
   Makefile in the C++ sources Makefile. This target creates the file
   Makefile.deps which contains a list of dependencies which are
   included in the Makefile.
 * Many bug fixes.
Comment 20 Xavier Lamien 2007-07-24 12:33:59 EDT
[reply to comment #18]

> >  *the latest gwave and at the same time shipping lots of old 
dependencies ?
> Absolutely, unless the newest gwave has regression issue problems,
> for example.
> Ok, then we will work on that latest gwave.

note: the lastest gwave is named gwave2

> gspiceui is just a GUI upon gwave. We can't release the GUI without the engine 
> which does the whole job.

+1

[comment #19]
i'll do some workaround on it
Comment 21 Chitlesh GOORAH 2007-07-30 19:54:12 EDT
Ok, I guess now we are back on track, concerning gwave!

http://chitlesh.fedorapeople.org/gwave/gwave.png

I have a working copy of gwave 2 (20070514) along with its missing 
dependencies.:
http://chitlesh.fedorapeople.org/gwave/
I haven't yet mock anything, and more polishing should be done.


The next question is who will maintain what of those ? 
I'm wiling to take gwave, since it's closer to gEDA.
Xavier, will to take the guiles :) ?

here's upstream response:
--------------------------------------------------
Note that gwave2 (for gtk+-2.0) doesn't include any of the much-needed 
improvements that gtk+-2.0 will eventually enable me to write, but it does 
appear to build and work no worse than the gtk-1.0-based gwave
- once the dependencies are dealt with.

Dependencies are the main reason I haven't really announced this version 
although you are of course welcome to download it and test.

> I was planning to include gwave2 into the Fedora Collection so that fedora
> users can just install gwave2 via yum.

That would be great. I've been trying to deal with the dependencies before 
announcing something that was easier for people to use.
I've also been building FC6 RPMs for my own development, and had recently 
looked at the Fedora guidelines and the process for getting my rpms into 
Fedora.
I'd be very pleased if you got the whole guile-gnome-platform stack into
Fedora, and wouldn't mind colaborating to help make that happen.

> As fedora policy suggests to ship latest versions of packages, I was 
thinking
> to build gwave2 under:
> * guile-1.8
> * guile-gtk-2.0
> * guile-lib-0.1.4
> * guile-gnome-platform-2.15.93
> * g-wrap-1.9.8

> However I was unable to build the dependencies. That is why I'm writing 
> to you to have more details and what do you recommend gwave2 to be built 
> on.

here's what I know:

guile-gtk-2.0 isn't needed

guile-gnome-platform-2.15.93 is the right choice, but it requires
g-wrap 1.9.9, which unfortunately isn't released yet.  1.9.9RC1 required a 
few patches.  I successfully built everything using g-wrap from CVS of a 
few weeks ago. I think the current CVS should work OK too.  I haven't 
tried pestering the maintainer for a release or release candidate.

guile-gnome-platform-2.15.93 also needs guile-cairo, which I have been 
building RPMs for. The last time I built gwave2, guile-cairo was at 
1.3.91; but I think the current 1.4.0 should work; try:

> Right now, I was able to build the gwave-20060606 with
> * guile-1.6
> * guile-gtk-1.2

Yes, that's what I'd recommend for the old one.

--------------------------------------------------

I'll invite him to join in.
Comment 22 Mamoru TASAKA 2007-08-24 06:44:25 EDT
Well, as I am not familiar with GspiceUI, would you tell me
how you are working on the left packages to get this package imported into
Fedora?
Comment 23 Chitlesh GOORAH 2007-08-24 06:54:45 EDT
Well g-wrap-1.9.9rc1 was working fine. The new release of g-wrap (1.9.9) broke
guile-gnome-platform. Xavier came up with a fix last night.

In accordance to our last night's IRC chat, he should be submitting:
g-wrap
guile-gnome-platform

and I:
gwave

today.
Comment 24 Chitlesh GOORAH 2007-08-27 05:01:27 EDT
Xavier, can you upload a new spec file with the update and fixes requested in 
the above comments ?
Comment 25 Xavier Lamien 2007-12-30 15:24:15 EST
New Release upstream with additionnal fixes.

SPEC: http://laxathom.fedorapeople.org/RPMS/gspiceui/gspiceui.spec
SRPM: http://laxathom.fedorapeople.org/RPMS/gspiceui/gspiceui-0.9.55-1.fc8.src.rpm

In waitting that gwave is pushed into repo for full review, a local one can be
perform.
Comment 26 Chitlesh GOORAH 2007-12-30 20:39:43 EST
#001 set  "Fedora" as vendor

#002: %description

add the following line please:
GspiceUI is listed among the Fedora Electronic Lab (FEL) packages.

#003: there is no Ngspice package but ngspice

#004: built failed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=316054

#005: Categories=Education;Science;Engineering;
Please remove Education, though it will put gspiceui in other of gnome menu.

Comment 27 Xavier Lamien 2007-12-31 02:32:31 EST
Hmm...strange :
[...]
make[1]: execvp: wx-config: Permission denied
[...]

So the WxGTK's libs|headers are not defined.
That why the build fails on hosts builders.

Does the login used for build on hosts builders has specific permissions ? 
Comment 28 Mamoru TASAKA 2007-12-31 03:05:02 EST
(In reply to comment #27)
> Hmm...strange :
> [...]
> make[1]: execvp: wx-config: Permission denied
> [...]
> 
> So the WxGTK's libs|headers are not defined.
> That why the build fails on hosts builders.
> 
> Does the login used for build on hosts builders has specific permissions ? 

There is wxGTK package so in compat-wxGTK-devel rpm wx config 
script in %_bindir is renamed to wx-2.6-config, so wx-config does not
exist.

Comment 29 Mamoru TASAKA 2007-12-31 03:18:20 EST
The result of just adding
----------------------------------------------------------------
sed -i 's|wx-config|wx-2.6-config|' src/Makefile
----------------------------------------------------------------
is here.

http://koji.fedoraproject.org/koji/taskinfo?taskID=316382
Comment 30 Xavier Lamien 2007-12-31 03:37:21 EST
[in reply to comment #29]
slim, you outstripped me :)
Comment 32 Xavier Lamien 2008-01-17 12:15:20 EST
ping ?
Comment 33 Chitlesh GOORAH 2008-01-19 10:10:56 EST
#001: Buildrequires : geda-netlist
It should be geda-gnetlist with 2 'g'

#002: To correct the following:
cd /builddir/build/BUILD/gspiceui-v0.9.55/src  ; make install
INSTALLDIR=/var/tmp/gspiceui-0.9.55-2.fc8-root-mockbuild/usr

  Warning: No config found to match: /usr/bin/wx-2.6-config --unicode
--version=2.8 --libs
           in /usr/lib/wx/config
  If you require this configuration, please install the desired
  library build.  If this is part of an automated configuration
  test and no other errors occur, you may safely ignore it.
  You may use wx-config --list to see all configs available in
  the default prefix.

make[1]: Entering directory `/builddir/build/BUILD/gspiceui-v0.9.55/src'

add sed -i 's|2.8|2.6|g' src/Makefile
in %prep section

#003: i'm unable to complete the given example on comment #9.
Comment 34 Chitlesh GOORAH 2008-01-19 10:24:18 EST
#004, please add gnucap as Requires:
Comment 35 Xavier Lamien 2008-01-19 14:47:17 EST
same thing from your example, will check with upstream and comment back on
possible issue.
Comment 36 Chitlesh GOORAH 2008-03-21 13:47:26 EDT
are there any progress since ?
Comment 37 Chitlesh GOORAH 2008-07-02 23:54:23 EDT
(In reply to comment #33)
> #001: Buildrequires : geda-netlist
> It should be geda-gnetlist with 2 'g'

This is not yet corrected.

Also there is a new upstream release 0.9.65, could you try again, please ?
Comment 38 Chitlesh GOORAH 2008-07-03 00:06:23 EDT
The version 0.9.65 builds just fine. 

Please try the example in comment #9

# A Fedora Electronic Lab specific change needed on the spec file

Add Requires: electronics-menu

and change on the desktop file:
from
Categories=Science;Engineering;
to
Categories=Electronics;Engineering;


Let's get gspiceui in time for F10 alpha.
Comment 39 Mamoru TASAKA 2008-07-09 09:38:49 EDT
Would someone explain the current status of this bug?
Comment 40 Chitlesh GOORAH 2008-07-09 10:23:52 EDT
Waiting for Xavier to update the SPEC. The approval will be immediate !

Or Perhaps should I take over the package, Xavier ?
Comment 41 Xavier Lamien 2008-07-16 19:45:24 EDT
Sorry, my gmail account is currently down since few days due to google server
troubles.
So i couldn't be highlighted earlier.

Well, 
Correct, the lastest version build fine and seem works pretty nice.
i'll upload it by tomorrow.
Comment 43 Chitlesh GOORAH 2008-07-26 04:22:41 EDT
# 001: I have the following error:
--remove-catagory  -> --remove-category

+ desktop-file-install --vendor Fedora --mode 0644 --remove-catagory Science
--add-category Electronics --dir
/var/tmp/gspiceui-0.9.65-1.fc9-root-chitlesh/usr/share/applications
/home/chitlesh/rpmbuild/SOURCES/gspiceui.desktop
Unknown option --remove-catagory
Run 'desktop-file-install --help' to see a full list of available command line
options.
error: Bad exit status from /var/tmp/rpm-tmp.99101 (%install)

#002: Please have a look at comment #37

It would be nice if you would do sanity checks (min. compile, rpmbuild,install)
before upload.
Comment 45 Chitlesh GOORAH 2008-07-26 17:13:37 EDT
Approved.
can you add me as a co-owner please ?
Comment 46 Xavier Lamien 2008-07-26 17:21:20 EDT
Sure,

New Package CVS Request
=======================
Package Name: gspiceui
Short Description: A GUI to freely available Spice Electronic 
Owners: laxathom, chitlesh
Branches: F-8 F-9 EL-5
InitialCC:
Comment 47 Kevin Fenzi 2008-07-28 00:15:16 EDT
cvs done.
Comment 48 Xavier Lamien 2008-07-28 05:47:25 EDT
Thanks Kevin.

Imported & built.
Comment 49 Chitlesh GOORAH 2010-07-18 06:40:05 EDT
Package Change Request
=======================
Package Name: gspiceui
Short Description: A GUI to freely available Spice Electronic 
Owners: laxathom,chitlesh
Branches: EL-5 EL-6
Comment 50 Kevin Fenzi 2010-07-19 00:35:51 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.